package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

/*
 *项目名: netflix
 *文件名: EquipmentUserChanceRecord
 *创建者: JavaZou
 *创建时间:2023/2/23 13:34
 */
@Getter
@Setter
public class EquipmentUserChanceRecord extends BaseEntity{
	/**
	 * 受益人id
	 */
	private Long shareId;

	/**
	 * 被邀请人id
	 */
	private Long userId;

	private Long orderId;

	private Status status;


	@Getter
	public enum Status {
		hasPayment("已购买"),
		refund("已退款"),
		;
		String msg;

		Status(String msg) {
			this.msg = msg;
		}
	}
}
